Rama Judicial Cases by Radicado
curl --request POST \
--url https://api.croma.run/co/rama-judicial/cases-by-radicado/v1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"registration_number": "11001600001720180327700"
}
'import requests
url = "https://api.croma.run/co/rama-judicial/cases-by-radicado/v1"
payload = { "registration_number": "11001600001720180327700" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({registration_number: '11001600001720180327700'})
};
fetch('https://api.croma.run/co/rama-judicial/cases-by-radicado/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"found": true,
"registration_number": "<string>",
"case_ids": [
123
],
"primary_case": {
"id": 123,
"connection_id": 123,
"registration_number": "<string>",
"start_date": "2023-12-25",
"last_action_date": "2023-12-25",
"court": "<string>",
"department": "<string>",
"parties_text": "<string>",
"is_private": true
},
"actions": [
{
"id": 123,
"registration_number": "<string>",
"sequence": 123,
"action_date": "2023-12-25",
"action_type": "<string>",
"note": "<string>",
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"registered_date": "2023-12-25",
"has_documents": true
}
],
"pagination": {
"total": 123,
"page_size": 123,
"total_pages": 123,
"page": 123
},
"private_only": true
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"details": {}
}
}Resolve a Colombian judicial case by radicado and return case metadata plus the first 40 actuaciones (actions) available.
POST
/
co
/
rama-judicial
/
cases-by-radicado
/
v1
Rama Judicial Cases by Radicado
Authorizations
Use Authorization: Bearer YOUR_API_KEY
Body
application/json
23-digit radicado (20-25 digits accepted).
Required string length:
20 - 25Pattern:
^\d{20,25}$Response
Successful response
Show child attributes
Show child attributes
⌘I